#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		kdenlive
Version: 22.04.3
Release:	%mkrel %rel
License:	GPLv2+
Summary:	A non-linear video editing application for KDE
Group:		Video/Editors and Converters
URL:		https://www.kdenlive.org
Source:		https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
Patch0:		kdenlive-22.04.3-fix-vp8-hd-profile.patch
## Upstream patches

BuildRequires:	mlt-devel >= 7.0.0

BuildRequires:	cmake(rttr)
BuildRequires:	pkgconfig(libv4l2)

BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5NetworkAuth)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickControls2)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)

BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Archive)
BuildRequires:	cmake(KF5Bookmarks)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5Crash)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5Declarative)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5NotifyConfig)
BuildRequires:	cmake(KF5NewStuff)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5GuiAddons)
BuildRequires:	cmake(KF5TextWidgets)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5Plotting)
BuildRequires:	cmake(KF5FileMetaData)
# OPTIONAL packages
BuildRequires:	cmake(KF5Purpose)

Requires:	mlt
Requires:	mlt-kdenlive
Requires:	ffmpeg
Requires:	frei0r
Requires:	dvgrab
Requires:	qtquickcontrols5
Requires:	desktop-common-data
Requires:	breeze
Requires:	breeze-icons
Requires:	qtquickcontrols2
# plugin libqtquick2plugin.so is needed (mga#23025)
Requires:	qtdeclarative5
Requires:	kio

Recommends:	swh-plugins
Recommends:	recordmydesktop
Recommends:	cdrkit-genisoimage
Recommends:	dvdauthor
Recommends:	oxygen-icon-theme
Recommends:	ladspa


%description
Kdenlive is a non-linear video editor for KDE. It relies on a separate
renderer, piave, to handle its rendering. Kdenlive supports multitrack
editing.

%files -f %name.lang
%doc AUTHORS README.md
%license COPYING
%_kf5_categoriesdir/kdenlive.*categories
%_kf5_bindir/*
%_kf5_datadir/kdenlive/
%_kf5_datadir/knsrcfiles/kdenlive_*.knsrc
%_kf5_iconsdir/hicolor/*/*/*
%_kf5_metainfodir/org.kde.kdenlive.appdata.xml
%_kf5_applicationdir/org.kde.kdenlive.desktop
%_kf5_datadir/config.kcfg/kdenlivesettings.kcfg
%_kf5_knotificationsdir/kdenlive.notifyrc
%_kf5_services/mltpreview.desktop
%_kf5_kxmlguidir/kdenlive
%_qt5_plugindir/mltpreview.so
%_kf5_datadir/mime/packages/org.kde.kdenlive.xml
%_kf5_datadir/mime/packages/westley.xml
%_kf5_mandir/man1/*
%if %mgaver < 9
%_datadir/icons/breeze-dark/actions/*/*.svg
%endif

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

# fix build renaming an incorrect name file (section 1 - screen 2.png)
mv po/fr/docs/kdenlive/section*1*-*screen*2.png po/fr/docs/kdenlive/section1-screen2.png

%build
%cmake_kf5 -Wno-dev
%cmake_build

%install
%cmake_install

%find_lang %name --with-html

# remove unwanted doc folder
rm -fr %{buildroot}%{_docdir}/Kdenlive
